import request from '@/utils/request'

// 查询安全设施-阻火器列表
export function listSafetyFlamearrester(query) {
  return request({
    url: '/pssr/safetyFlamearrester/list',
    method: 'get',
    params: query
  })
}

// 查询安全设施-阻火器详细
export function getSafetyFlamearrester(id) {
  return request({
    url: '/pssr/safetyFlamearrester/' + id,
    method: 'get'
  })
}

// 新增安全设施-阻火器
export function addSafetyFlamearrester(data) {
  return request({
    url: '/pssr/safetyFlamearrester',
    method: 'post',
    data: data
  })
}

// 修改安全设施-阻火器
export function updateSafetyFlamearrester(data) {
  return request({
    url: '/pssr/safetyFlamearrester',
    method: 'put',
    data: data
  })
}

//
export function updateSafetyFlamearresterBatch(data) {
  return request({
    url: '/pssr/safetyFlamearrester/editBatch',
    method: 'put',
    data: data
  })
}


// 删除安全设施-阻火器
export function delSafetyFlamearrester(id) {
  return request({
    url: '/pssr/safetyFlamearrester/' + id,
    method: 'delete'
  })
}

// 导出安全设施-阻火器
export function exportSafetyFlamearrester(query) {
  return request({
    url: '/pssr/safetyFlamearrester/export',
    method: 'get',
    params: query
  })
}
